import csv
import itertools

# DOES NOT WORK
def lower_first(iterator):
    return itertools.chain([next(iterator).lower()], iterator)

with open("Tabella Tubi riscaldati - COMPLETA rev19_29-12-2022.csv", 'rU') as datafile:
    csvDict = csv.DictReader(lower_first(datafile))
    for ucrow in csvDict:
        row = dict((k.lower(), v) for k, v in ucrow.items()) # WORKS
        print(row)